package com.huiju.estateagents.excel.ActivityStatistics;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ShareNum {
    /**
     * 分享者姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者姓名", index = 0)
    private String sharePersonName;

    /**
     * 分享者电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者电话", index = 1)
    private String sharePersonPhone;

    /**
     * 分享者类型
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享者类型", index = 2)
    private String sharePersonType;

    /**
     * 分享时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享时间", index = 3)
    private String shareTime;

    /**
     * 访问人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问人数", index = 4)
    private Integer visitPersonNum;

    @ExcelIgnore
    private String sharePersonId;
}
